function [err, errb, errB, erry] = napheap_check (x, lambda, y, d, a, blo, bhi, lo, hi) %#ok
%NAPHEAP_CHECK check the knapsack solution found by napheap
%
% Returns the relative error in the knapsack solution found by napheap.
% The input parameters are the same as napheap, as given in the example below,
% except for the first two, which are the return values of napheap.
% For more details, type 'napheap_check' with no inputs or outputs.
%
% Example:
%   [x lambda] = napheap (y, d, a, blo, bhi, lo, hi) ;
%   err = napheap_check (x, lambda, y, d, a, blo, bhi, lo, hi)
%
% See also NAPHEAP, NAPHEAP_INSTALL, NAPHEAP_TEST.

% Copyright 2013, T. A. Davis, W. W. Hager, and J. T. Hungerford

error ('napheap_check mexFunction not found') ;
