/* ========================================================================== */
/* === MATLAB/napheap_mex.h ================================================= */
/* ========================================================================== */

/* include file for napheap mexFunctions */

#include "napheap.h"

#define ARG(k) (k < nargin ? pargin [k] : NULL)
#define MAX(a,b) (((a) > (b)) ? (a) : (b))

double *napheap_get_vector
(
    const mxArray *X,
    NAPHEAP_INT n,
    char *name,
    double **default_result,
    double default_value
) ;

double *napheap_default_vector
(
    NAPHEAP_INT n,
    double **default_result,
    double default_value
) ;
